Status: Assigned Priority: Normal
Author: Naush Category: OS: GNU/Linux
Created: 08/05/2010 Assignee: kervala
Updated: 11/02/2010 Due date:
Subject: Alt+F4 should prompt for confirm exit
Description

Actually if you use ALFT+F4 it's will crash the client, with a random backtrace. It's should prompt for exit instead.

History
#1 - 08/06/2010 10:15 am - kervala
- Status changed from New to Validated

Yes, close X event should be intercepted in event loop and processed by NeL :)

#2 - 10/09/2010 06:56 pm - Naush
- File 1063-nel.patch added
- File 1063-client.patch added

1063-nel.patch: Activate and catch X11_destroy_window event.

NOTE: It will not change any things, code is missing in client/src/events_listener.cpp
As I don't really like the refuse to quit style of the official client, I have implemented my own, for fun. All close box are now asking for confirmation.

#3 - 10/10/2010 11:42 am - kervala

Thanks a lot for your patches :) I will check and apply them if they are working.

About NeL part, if I remember right ClientMessage doesn't implies that window should be closed, there are other messages types which are using
ClientMessage event.

We need also to send CEventDestroyWindow for Windows and Mac OS :)

#4 - 11/02/2010 09:42 pm - kervala
- Priority changed from Low to Normal
- % Done changed from 0 to 50

The NeL part has been applied (and fixed :p), so when closing a windows, Ryzom is now exiting properly :)

Thanks for the patch :)

#5 - 11/02/2010 09:44 pm - kervala
- Status changed from Validated to Assigned
- Assignee set to kervala

Files
1063-nel.patch 1.7 kB 10/09/2010 Naush
1063-client.patch 9.4 kB 10/09/2010 Naush
